//
//  AdNetwork.h
//  ObjectiveCTask
//
//  Created by Subhendu Sekhar Sahu on 03/07/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktConfig.h"
#import "NetworkModel.h"
#import "AdConfig.h"
#import <UIKit/UIKit.h>

@protocol AdNetwork <NSObject>

@required

- (BOOL) supportsCaching;

- (BOOL) supportsAutoCaching;

- (void) initNetwork: (PokktConfig *)pokktConfig
        networkModel: (NetworkModel *)networkModel;

- (NetworkModel *)getNetworkModel;

- (void) cacheAd: (AdConfig *)adConfig;

- (void) showAd: (AdConfig *)adConfig viewController:(UIViewController *)viewController;

- (void) checkAdAvailability: (AdConfig *)adConfig;


@optional

- (NSString*) getNetworkName;

- (void) loadBanner:(AdConfig *)adConfig;

- (void) setCacheTimedOut: (AdConfig *)adConfig;

@end
