//
//  PokktConfig.h
//  ObjectiveCTask
//
//  Created by Subhendu Sekhar Sahu on 01/07/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum : int {
    NONE,
    FLURRY_ANALYTICS,

} AnalyticsType;

@interface PokktConfig : NSObject

/*!
 @abstract
 Set Application Id which you will get from Pokkt dashboard when you create application their.
 **/

@property (nonatomic, retain) NSString *applicationId;

/*!
 @abstract
 Set Security Key which you will get from Pokkt dashboard when you create application their.
 
 **/

@property (nonatomic, retain) NSString *securityKey;

/*!
 @abstract
 This is unique id which will be given to user and generated by developer/publisher.
 Developer/publisher can used this Id to identify their user for the purposes like S2S integration to gratify user
 
 **/

@property (nonatomic, retain) NSString *thirdPartyUserId;

// optional parameters
@property (nonatomic, retain) NSString *name;
@property (nonatomic, retain) NSString *age;
@property (nonatomic, retain) NSString *sex;
@property (nonatomic, retain) NSString *location;
@property (nonatomic, retain) NSString *maritalStatus;
@property (nonatomic, retain) NSString *birthday;
@property (nonatomic, retain) NSString *mobileNumber;
@property (nonatomic, retain) NSString *emailAddress;
@property (nonatomic, retain) NSString *facebookId;
@property (nonatomic, retain) NSString *twitterHandle;
@property (nonatomic, retain) NSString *educationInformation;
@property (nonatomic, retain) NSString *nationality;
@property (nonatomic, retain) NSString *employmentStatus;
@property (nonatomic, retain) NSString *maturityRating;

/*!
 @abstract
 Once you create application in google developer console, you will get analytics id.
 
 **/

@property (nonatomic, retain) NSString *googleTrackerID;

/*!
 @abstract
 Once you create application in Flurry dashboard, flurry application Id will get generated.
 
 **/

@property (nonatomic, retain) NSString *flurryTrackerID;

/*!
 @abstract
 Once you create application in mixpanel dashboard, project token will get generated.
 
 **/
@property (nonatomic, retain) NSString *mixPanelTrackerID;

/*!
 @abstract
 For sending any measurement the Analytics class needs to be configured. To do
 this we need to following steps:
 
 self.pokktConfig.eventType = FABRIC_ANALYTICS;
 
 self.pokktConfig.eventType = MIXPANNEL_ANALYTICS;
 
 self.pokktConfig.eventType = GOOGLE_ANALYTICS;
 
 self.pokktConfig.eventType = FLURRY_ANALYTICS;
 
 By Defaults, self.pokktConfig.eventType = NONE;
 
 **/

@property (nonatomic, assign) AnalyticsType eventType;

@end
