//
//  HomeVC.m
//  SampleApp
//
//  Created by Pokkt on 03/08/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import "HomeVC.h"
#import "TestAdVC.h"
#import "HelperUtils.h"



@interface HomeVC ()

@property (nonatomic, retain) PokktConfig *pokktConfig;
@end

@implementation HomeVC

- (void)viewDidLoad
{
    [super viewDidLoad];
     testAd = [[TestAdVC alloc] initWithNibName:@"TestAdVC" bundle:nil];
    // Do any additional setup after loading the view.
    
    [HelperUtils makeButtonDisable:rewardBtn];
    [HelperUtils makeButtonDisable:nonRewardBtn];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IBAction)initializeSDK:(id)sender
{
    if (screenName.text.length == 0)
    {
        [PokktManager showToast:@"Please enter valid screenname" viewController:self];
        return;
    }
    self.pokktConfig  = [[PokktConfig alloc]init];
    self.pokktConfig.applicationId = @"<APPLICATION_ID>";
    self.pokktConfig.securityKey = @"<SECURITY_KEY>";
    self.pokktConfig.thirdPartyUserId = @"<THIRD_PARTY_USERID>";
    self.pokktConfig.flurryTrackerID = @"<FLURRY_APPLICATION_KEY>";
    self.pokktConfig.eventType = FLURRY_ANALYTICS;
    
    [PokktManager setDebug: YES];
    [PokktManager setAdDelegate:self];
    [PokktManager setInitDelegate:self];
    [PokktManager initPokkt:self.pokktConfig];
    
 }

-(IBAction)testAd:(id)sender
{
    UIButton *btn = (UIButton *)sender;
   
    if (screenName.text.length == 0)
    {
        [PokktManager showToast:@"Please enter valid screenname" viewController:self];
        return;
    }
    testAd.screenName = screenName.text;
    if (btn.tag == 102)
    {
        testAd.isRewardedScreen = YES;
        
    }
    else if (btn.tag == 103)
    {
         testAd.isRewardedScreen = NO;
    }

    [self.navigationController pushViewController:testAd animated:YES];
}

-(IBAction)sendLogToiCloud:(id)sender
{
    [PokktManager exportLogtoiCloud:@"iCloud.com.tvos.cloudbug"];
}

#pragma mark - Pokkt Delegates

- (void)onPokktInitialised:(BOOL)isReady withMessage:(NSString *)message
{
    if (isReady)
    {
        NSLog(@"Ready to use");
        [HelperUtils makeButtonDisable:initialiseBtn];
        [HelperUtils makeButtonEnable:rewardBtn];
        [HelperUtils makeButtonEnable:nonRewardBtn];
        
    }
    else
    {
       NSLog(@"Not Ready to use"); 
    }
    [testAd onPokktInitialised:isReady withMessage:message];
}

- (void)onAdAvailabilityStatus: (AdConfig *)adConfig isAdAvailable: (BOOL)isAdAvailable
{
    [testAd onAdAvailabilityStatus:adConfig isAdAvailable:isAdAvailable];
}

- (void)onAdClosed:(AdConfig *)adConfig
{
    [testAd onAdClosed:adConfig];
}

- (void)onAdCompleted: (AdConfig *)adConfig
{
    [testAd onAdCompleted:adConfig];
}

- (void)onAdDisplayed: (AdConfig *)adConfig
{
    [testAd onAdDisplayed:adConfig];
}

- (void)onAdGratified: (AdConfig *)adConfig reward:(float)reward
{
    [testAd onAdGratified:adConfig reward:reward];
}

- (void)onAdSkipped: (AdConfig *)adConfig
{
    [testAd onAdSkipped:adConfig];
}


@end
