//
//  TestAdVC.m
//  SampleApp
//
//  Created by Pokkt on 04/08/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import "TestAdVC.h"

#define ErnedPoints @"Points"
#define userDefaluts [NSUserDefaults standardUserDefaults]

@interface TestAdVC ()

@property (nonatomic, strong) PokktConfig *pokktConfig;
@property (nonatomic) float point;
@end

@implementation TestAdVC
@synthesize screenName,isRewardedScreen;

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
   
}

-(void)viewWillAppear:(BOOL)animated
{
    self.adConfig = [[AdConfig alloc] init];
    self.adConfig.screenName = self.screenName;
    self.adConfig.isRewarded = self.isRewardedScreen;
    self.adConfig.shouldAllowSkip = YES;
    self.adConfig.defaultSkipTime = 10;
    
    [self updatepointsEarned];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)checkAdAvailability:(UIButton *)sender
{
        [PokktManager checkAdAvailability:self.adConfig];
}

#pragma mark - Private Methods

- (void)updatepointsEarned {
    if([userDefaluts objectForKey:ErnedPoints])
    {
        self.point = [[userDefaluts objectForKey:ErnedPoints] floatValue];
        pointsLbl.text = [NSString stringWithFormat:@"Points earned : %f",self.point];
    }
}


#pragma mark - Pokkt Delegates

- (void)onPokktInitialised:(BOOL)isReady withMessage:(NSString *)message
{
    
    if (isReady)
    {
        NSLog(@"PokktSDK is ready");
    }
    else
    {
        NSLog(@"PokktSDK is not ready");
        [self showAlertWithMessage:@"PokktSDK is not ready"];
    }
}

- (void)onAdAvailabilityStatus: (AdConfig *)adConfig isAdAvailable: (BOOL)isAdAvailable
{
    NSLog(@"Ad is available");
    if (isAdAvailable)
    {
        [PokktManager showAd:self.adConfig viewController:self];
        
    }
    else
    {
        NSString *str = @"";
        if (adConfig.isRewarded) {
            str = @"rewarded";
        }
        else
        {
            str = @"non rewarded";
        }
        [self showAlertWithMessage:[NSString stringWithFormat:@"%@ %@ ad not available",adConfig.screenName, str]];
    }
}

- (void)onAdClosed:(AdConfig *)adConfig
{
    [self showAlertWithMessage:@"Video is closed"];
    self.navigationController.navigationBarHidden = NO;
}

- (void)onAdCompleted: (AdConfig *)adConfig
{
    [self showAlertWithMessage:@"Video is completed"];
}

- (void)onAdDisplayed: (AdConfig *)adConfig
{
    self.navigationController.navigationBarHidden = YES;
    [self showAlertWithMessage:@"Video is displayed"];
}


- (void)onAdGratified: (AdConfig *)adConfig reward:(float)reward
{
    if([userDefaluts objectForKey:ErnedPoints])
    {
        self.point = [[userDefaluts objectForKey:ErnedPoints] floatValue];
    }
    if (reward > 0)
    {
        self.point += reward;
        [userDefaluts setValue:[NSString stringWithFormat:@"%f",self.point] forKey:ErnedPoints];
        [userDefaluts synchronize];
        [self updatepointsEarned];
    }
    
}

- (void)onAdSkipped: (AdConfig *)adConfig
{
    [self showAlertWithMessage:@"Video is skip"];
}

- (void)showAlertWithMessage:(NSString *)msg {
       
    NSLog(@"tvOS SDK: %@",msg);
    
    [PokktManager showToast:msg viewController:self];
}



@end
